## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           mcpanel
Version:        1.1
%global so_version 0
Release:        %autorelease
Summary:        C library providing multichannel scope interface

# The text of the file COPYING is version 3 of the GPL.
#
# The entire source is GPL-3.0-or-later based on the license statements in the
# source file headers, except:
#
#   - m4/ld-output-def.m4 is FSFULLR, but belongs to the Autotools build
#     scripts and does not contribute to the licenses of the binary RPMs
#   - meson.build has a License field of LGPL-3.0; we treat this as if it means
#     some unspecified portion of the library is LGPL-3.0-only for now, but we
#     have asked for clarification in
#     https://github.com/mmlabs-mindmaze/mcpanel/issues/9.
#   - src/led_{blue,gray,green,red}.png are CC0-1.0 as specified in
#     src/led.license, and contribute only to the -data subpackage; as image
#     resources, these should be considered content and therefore this is an
#     allowed license for them
License:        GPL-3.0-or-later AND LGPL-3.0-only
URL:            https://opensource.mindmaze.com/projects/mcpanel/
Source0:        https://github.com/mmlabs-mindmaze/mcpanel/archive/%{version}/mcpanel-%{version}.tar.gz

# Include <rtf_common.h> for a declaration of rtf_create_butterworth
# https://github.com/mmlabs-mindmaze/mcpanel/pull/10
Patch:          mcpanel-c99.patch

BuildRequires:  gcc
BuildRequires:  meson

BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  rtfilter-devel

Requires:       mcpanel-data = %{version}-%{release}

%description
This package provides a library written in C implementing a set of widgets
designed to view in realtime multichannels signals. While it has been initially
designed to view signals coming from a BIOSEMI Activetwo system, it is totally
system agnostic and any user of other systems might find it useful.

%package        devel
Summary:        Development files for mcpanel

Requires:       mcpanel%{?_isa} = %{version}-%{release}

%description    devel
The mcpanel-devel package contains libraries and header files for
developing applications that use mcpanel.

%package        data
Summary:        Data files for mcpanel
# See the license breakdown above the base package’s License field; the CC0-1.0
# PNG images appear *only* in this subpackage, but it also contains a .ui file
# that we must treat as having the same license as the base package.
License:        GPL-3.0-or-later AND LGPL-3.0-only AND CC0-1.0

BuildArch:      noarch

%description    data
The mcpanel-data package contains architecture-independent data files for
mcpanel.

%prep
%autosetup -p1

%build
# We could build the tests (after adding a BR on mmlib-devel), but we can’t
# usefully run them non-interactively (even with xvfb-run).
%meson -Dtests=false
%meson_build

%install
%meson_install

%files
%{_libdir}/libmcpanel.so.%{so_version}{,.*}

%files devel
%{_includedir}/mcpanel.h
%{_libdir}/libmcpanel.so
%{_libdir}/pkgconfig/mcpanel.pc

%files data
%license COPYING
%doc AUTHORS NEWS README
%{_datadir}/mcpanel/

%changelog
## START: Generated by rpmautospec
* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Apr 03 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1-1
- Update to 1.1 (close RHBZ#2183832)

* Mon Apr 03 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0-11
- Reduce macro indirection in the spec file

* Mon Apr 03 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0-10
- Build with meson instead of autotools
- This adds pkgconfig support

* Mon Apr 03 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0-9
- Improved handling of .so version in spec file

* Mon Apr 03 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0-8
- Tidy up patches

* Mon Apr 03 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0-7
- Split out arch-independent data files

* Sun Apr 02 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0-6
- Update License to SPDX

* Sun Apr 02 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0-5
- Update summary and description

* Sun Apr 02 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0-4
- Switch upstream to https://github.com/mmlabs-mindmaze/mcpanel

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 15 2022 Florian Weimer <fweimer@redhat.com> - 1.0-2
- Port to C99

* Sun Oct 30 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.0-1
- feat: update to 1.0 (fix rhbz#1795359)

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov 29 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.0-1
- Initial package

## END: Generated by rpmautospec
